List authenticated customer orders
curl --request GET \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret_slug": "<string>",
"public_order_url": "<string>",
"payment_url": "<string>",
"order_id": "<string>",
"store": {
"name": "<string>",
"logo": "<string>",
"unique_id": "<string>",
"payment_accounts": [
{
"id": 123,
"unique_id": "<string>",
"method": "<string>",
"account_holder": "<string>",
"account_number": "<string>",
"financial_entity": {
"id": 123,
"code": "<string>",
"entity_type": "<string>",
"name": "<string>",
"platform": "<string>",
"duitku_code": "<string>",
"xendit_code": "<string>"
}
}
],
"days_of_payment_processing": 123,
"is_auto_expire": true,
"auto_expire_days": 123,
"is_show_whatsapp": true,
"is_show_download_invoice": true
},
"customer": {
"id": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"name": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "<string>"
},
"status": "<string>",
"payment_status": "<string>",
"payment_method": "bank_transfer",
"pg_payment_info": {},
"product_price": "<string>",
"gross_revenue": "<string>",
"shipping_cost": "<string>",
"final_variants": {},
"orderlines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"variant": 123,
"product_name": "<string>",
"item_type": "<string>",
"is_file_enabled": true,
"is_lms_enabled": true,
"is_license_enabled": true,
"currency": "<string>",
"pricing_type": "<string>",
"interval": "<string>",
"interval_count": 123,
"variant_sku": "<string>",
"variant_option1_value": "<string>",
"variant_option2_value": "<string>",
"variant_option3_value": "<string>",
"variant_price": "<string>",
"product_price": "<string>",
"discount": "<string>",
"discount_code_discount": "<string>",
"weight": 123
}
],
"draft_time": "2023-11-07T05:31:56Z",
"pending_time": "2023-11-07T05:31:56Z",
"confirmed_time": "2023-11-07T05:31:56Z",
"in_process_time": "2023-11-07T05:31:56Z",
"ready_time": "2023-11-07T05:31:56Z",
"shipped_time": "2023-11-07T05:31:56Z",
"completed_time": "2023-11-07T05:31:56Z",
"rts_time": "2023-11-07T05:31:56Z",
"canceled_time": "2023-11-07T05:31:56Z",
"closed_time": "2023-11-07T05:31:56Z",
"unpaid_time": "2023-11-07T05:31:56Z",
"paid_time": "2023-11-07T05:31:56Z",
"transfer_time": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status_history": [
{}
],
"sub_payment_method": "<string>",
"payment_account_holder": "<string>",
"payment_account_number": "<string>",
"transferproof_url": "<string>",
"total_quantity": 123,
"unique_code_discount": "<string>",
"discount_code_discount": "<string>",
"discount_code_code": "<string>",
"discount_code_applied_to": "<string>",
"product_discount": "<string>",
"other_income_name": "<string>",
"other_income": "<string>",
"gross_revenue_for_dropshipper": "<string>",
"discount_rate": "<string>",
"shipping_discount": "<string>",
"destination_address": {
"id": 123,
"name": "<string>",
"phone": "<string>",
"location": 123,
"address": "<string>",
"subdistrict": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>"
},
"product_weight": 123,
"total_weight": 123,
"is_dropshipping": true,
"courier_service": {
"id": 123,
"name": "<string>",
"code": "<string>",
"courier": {
"id": 123,
"name": "<string>",
"code": "<string>"
}
},
"shipment_receipt": "<string>",
"shipment_status": "<string>",
"awb_status": "<string>",
"shipment_status_history": [
{}
],
"notes": "<string>"
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Customer Orders
List authenticated customer orders
Customer-authenticated storefront endpoint.
GET
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
orders
List authenticated customer orders
curl --request GET \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret_slug": "<string>",
"public_order_url": "<string>",
"payment_url": "<string>",
"order_id": "<string>",
"store": {
"name": "<string>",
"logo": "<string>",
"unique_id": "<string>",
"payment_accounts": [
{
"id": 123,
"unique_id": "<string>",
"method": "<string>",
"account_holder": "<string>",
"account_number": "<string>",
"financial_entity": {
"id": 123,
"code": "<string>",
"entity_type": "<string>",
"name": "<string>",
"platform": "<string>",
"duitku_code": "<string>",
"xendit_code": "<string>"
}
}
],
"days_of_payment_processing": 123,
"is_auto_expire": true,
"auto_expire_days": 123,
"is_show_whatsapp": true,
"is_show_download_invoice": true
},
"customer": {
"id": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"name": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "<string>"
},
"status": "<string>",
"payment_status": "<string>",
"payment_method": "bank_transfer",
"pg_payment_info": {},
"product_price": "<string>",
"gross_revenue": "<string>",
"shipping_cost": "<string>",
"final_variants": {},
"orderlines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"variant": 123,
"product_name": "<string>",
"item_type": "<string>",
"is_file_enabled": true,
"is_lms_enabled": true,
"is_license_enabled": true,
"currency": "<string>",
"pricing_type": "<string>",
"interval": "<string>",
"interval_count": 123,
"variant_sku": "<string>",
"variant_option1_value": "<string>",
"variant_option2_value": "<string>",
"variant_option3_value": "<string>",
"variant_price": "<string>",
"product_price": "<string>",
"discount": "<string>",
"discount_code_discount": "<string>",
"weight": 123
}
],
"draft_time": "2023-11-07T05:31:56Z",
"pending_time": "2023-11-07T05:31:56Z",
"confirmed_time": "2023-11-07T05:31:56Z",
"in_process_time": "2023-11-07T05:31:56Z",
"ready_time": "2023-11-07T05:31:56Z",
"shipped_time": "2023-11-07T05:31:56Z",
"completed_time": "2023-11-07T05:31:56Z",
"rts_time": "2023-11-07T05:31:56Z",
"canceled_time": "2023-11-07T05:31:56Z",
"closed_time": "2023-11-07T05:31:56Z",
"unpaid_time": "2023-11-07T05:31:56Z",
"paid_time": "2023-11-07T05:31:56Z",
"transfer_time": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status_history": [
{}
],
"sub_payment_method": "<string>",
"payment_account_holder": "<string>",
"payment_account_number": "<string>",
"transferproof_url": "<string>",
"total_quantity": 123,
"unique_code_discount": "<string>",
"discount_code_discount": "<string>",
"discount_code_code": "<string>",
"discount_code_applied_to": "<string>",
"product_discount": "<string>",
"other_income_name": "<string>",
"other_income": "<string>",
"gross_revenue_for_dropshipper": "<string>",
"discount_rate": "<string>",
"shipping_discount": "<string>",
"destination_address": {
"id": 123,
"name": "<string>",
"phone": "<string>",
"location": 123,
"address": "<string>",
"subdistrict": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>"
},
"product_weight": 123,
"total_weight": 123,
"is_dropshipping": true,
"courier_service": {
"id": 123,
"name": "<string>",
"code": "<string>",
"courier": {
"id": 123,
"name": "<string>",
"code": "<string>"
}
},
"shipment_receipt": "<string>",
"shipment_status": "<string>",
"awb_status": "<string>",
"shipment_status_history": [
{}
],
"notes": "<string>"
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Otorisasi
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parameter Path
Store unique_id.
Apakah halaman ini membantu?
⌘I

